Skip to main content
`Ctrl`+`K`

# petsc4py.PETSc.TAO.BNCGType

class petsc4py.PETSc.TAO.BNCGType

  Bases: `object`

  TAO Bound Constrained Conjugate Gradient (BNCG) Update Type.

  Attributes Summary

  `DK` | Constant `DK` of type `int`
  `DY` | Constant `DY` of type `int`
  `FR` | Constant `FR` of type `int`
  `GD` | Constant `GD` of type `int`
  `HS` | Constant `HS` of type `int`
  `HZ` | Constant `HZ` of type `int`
  `KD` | Constant `KD` of type `int`
  `PCGD` | Constant `PCGD` of type `int`
  `PRP` | Constant `PRP` of type `int`
  `PRP_PLUS` | Constant `PRP_PLUS` of type `int`
  `SSML_BFGS` | Constant `SSML_BFGS` of type `int`
  `SSML_BRDN` | Constant `SSML_BRDN` of type `int`
  `SSML_DFP` | Constant `SSML_DFP` of type `int`

  Attributes Documentation

  DK: int = DK

    Constant `DK` of type `int`

  DY: int = DY

    Constant `DY` of type `int`

  FR: int = FR

    Constant `FR` of type `int`

  GD: int = GD

    Constant `GD` of type `int`

  HS: int = HS

    Constant `HS` of type `int`

  HZ: int = HZ

    Constant `HZ` of type `int`

  KD: int = KD

    Constant `KD` of type `int`

  PCGD: int = PCGD

    Constant `PCGD` of type `int`

  PRP: int = PRP

    Constant `PRP` of type `int`

  PRP_PLUS: int = PRP_PLUS

    Constant `PRP_PLUS` of type `int`

  SSML_BFGS: int = SSML_BFGS

    Constant `SSML_BFGS` of type `int`

  SSML_BRDN: int = SSML_BRDN

    Constant `SSML_BRDN` of type `int`

  SSML_DFP: int = SSML_DFP

    Constant `SSML_DFP` of type `int`